﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v5.0.1/WinDynamicDesktop_5.0.1_x86_Setup.exe'
$url64      = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v5.0.1/WinDynamicDesktop_5.0.1_x64_Setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64         = $url64

  softwareName  = 'WinDynamicDesktop*'

  checksum      = 'b59108004a3db323991f321719c4c7c31eab5e39a4daa495a0654d65282fa447'
  checksumType  = 'sha256'
  checksum64    = '662a27ceb4a16701ac262da16518a2fd9ac1dec9ea85602cea3e0b7add254814'
  checksumType64= 'sha256'

  silentArgs    = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP- /RESTARTAPPLICATIONS'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
